import { redirect, error } from '@sveltejs/kit';
import { getOriginalLink } from "$lib/db";

export async function load({ params }) {
    const meow = await getOriginalLink(params.slug)
    if (meow) redirect(302, meow);
    return error(404, "linknotfound");
}