import env from "$lib/env";

function randomFrom(x: string) {
    const y = x.split('');
    return y[Math.floor(Math.random() * y.length)]
}

// this should NOT be this complex
export function generateLink() {
    const letters = "qwertyuiopasdfghjklzxcvbnm";
    const numbers = "1234567890";

    const firstLetter = randomFrom(letters + numbers);
    let allowed = letters + numbers;
    if (firstLetter === "e") allowed = letters;

    let link = firstLetter;
    for (let x = 1; x < +(env.LINK_LENGTH || 4); x++) {
        link += randomFrom(allowed);
    }

    return link;
}