import { bajkopisarzFromLokator, createLink } from '$lib/db';
import { lokatorFromCookies } from "$lib/session";
import { json } from "@sveltejs/kit";

export async function POST({ request, cookies }) {
    const monitoring = await request.json();
    const lokator: string | void = lokatorFromCookies(cookies);
    if (!lokator) return json({ error: "not authenticated" }, { status: 403 });
    const bajkopisarz: string = await bajkopisarzFromLokator(lokator);
    return new Response(await createLink(monitoring.fenomen, bajkopisarz));
}
